メインコンテンツへスキップ
POST
/
crm
/
objects
/
2026-03
/
{objectType}
/
batch
/
read
Read a batch of appointments by internal ID, or unique property values
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "430001"
    }
  ],
  "properties": [
    "<string>"
  ],
  "propertiesWithHistory": [
    "<string>"
  ],
  "idProperty": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/read"

payload = {
    "inputs": [{ "id": "430001" }],
    "properties": ["<string>"],
    "propertiesWithHistory": ["<string>"],
    "idProperty": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    inputs: [{id: '430001'}],
    properties: ['<string>'],
    propertiesWithHistory: ['<string>'],
    idProperty: '<string>'
  })
};

fetch('https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/read', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>",
      "warnings": [
        {
          "category": "<string>",
          "context": {},
          "message": "<string>"
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>",
      "warnings": [
        {
          "category": "<string>",
          "context": {},
          "message": "<string>"
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

クエリパラメータ

archived
boolean
デフォルト:false

Whether to return only results that have been archived.

ボディ

application/json

Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.

inputs
object[]
必須
properties
string[]
必須

Key-value pairs for setting properties for the new object.

propertiesWithHistory
string[]
必須

Key-value pairs for setting properties for the new object and their histories.

idProperty
string

When using a custom unique value property to retrieve records, the name of the property. Do not include this parameter if retrieving by record ID.

レスポンス

successful operation

A public object batch response object

completedAt
string<date-time>
必須

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
必須
startedAt
string<date-time>
必須

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
必須

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

最終更新日 2026年4月10日